/* 
 * $Id: ctkhseparator.c,v 1.5 2000/06/27 04:42:30 terpstra Exp $
 *
 * CTK - Console Toolkit
 *
 * Copyright (C) 1998-2000 Stormix Technologies Inc.
 *
 * License: LGPL
 *
 * Authors: Kevin Lindsay, Wesley Terpstra
 *  
 *    This library is free software; you can redistribute it and/or
 *    modify it under the terms of the GNU Lesser General Public
 *    License as published by the Free Software Foundation; either
 *    version 2 of the License, or (at your option) any later version.
 *    
 *    This library is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *    Lesser General Public License for more details.
 *    
 *    You should have received a copy of the GNU Lesser General Public
 *    License along with this library; if not, write to the Free Software
 *    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
 */

#include <stdio.h>
#include <stdlib.h>
#include <glib.h>

#include "ctk.h"

/* Initialize the HSeparator Widget */
void
    ctk_hseparator_init(CtkHSeparator *hseparator)
{
	ctk_separator_init(&hseparator->separator);
}

/* Make a new HSeparator Widget */
CtkWidget *
    ctk_hseparator_new()
{
	CtkHSeparator *hseparator;
	
	hseparator = g_malloc(sizeof(CtkHSeparator));
	
	ctk_hseparator_init(hseparator);
	
	((CtkObject *)hseparator)->type = CtkTypeHSeparator;
	((CtkWidget *)hseparator)->height = 1;
	((CtkWidget *)hseparator)->orig_height = 1;
	((CtkWidget *)hseparator)->width = 1;
	((CtkWidget *)hseparator)->orig_width = 1;
	
	return (CtkWidget *)hseparator;
}
